CFG80211_DISCONNECTE(9)

NAME
cfg80211_disconnected - notify cfg80211 that connection was dropped

SYNOPSIS

void cfg80211_disconnected(struct net_device * dev, u16 reason, const u8 * ie, size_t ie_len, gfp_t gfp);

ARGUMENTS

dev
    network device

reason
    reason code for the disconnection, set it to 0 if unknown

ie
    information elements of the deauth/disassoc frame (may be NULL)

ie_len
    length of IEs

gfp
    allocation flags

DESCRIPTION

After it calls this function, the driver should enter an idle state and not try to connect to any AP any more.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT